Get Decisions By Id
curl --request GET \
--url https://api.shovels.ai/v2/decisions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.shovels.ai/v2/decisions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.shovels.ai/v2/decisions")
.header("X-API-Key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shovels.ai/v2/decisions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.shovels.ai/v2/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shovels.ai/v2/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": "<string>",
"address_id": "<string>",
"city_id": "<string>",
"county_id": "<string>",
"jurisdiction_id": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"latitude": 123,
"longitude": 123,
"title": "<string>",
"decision_date": "2023-12-25",
"description": "<string>",
"source_url": "<string>",
"asset_class": "<string>",
"category": "<string>",
"subcategory": "<string>",
"property_type": "<string>",
"why_it_matters": "<string>",
"applicant_name": "<string>",
"owner_name": "<string>",
"representative_name": "<string>",
"developer_name": "<string>",
"zoning_previous": "<string>",
"zoning_new": "<string>",
"allowed_uses": "<string>",
"project_value": 123,
"lot_size": 123
}
],
"size": 123,
"next_cursor": "<string>",
"total_count": {
"value": 1,
"relation": "eq"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Decisions
Get Decisions By Id
Returns the requested decisions by ID. Unknown IDs are silently omitted (no per-ID 404). Up to 50 IDs per request.
GET
/
decisions
Get Decisions By Id
Authorizations
Query Parameters
Filter by the decision's ID. Up to 50 IDs per request.
Required array length:
1 - 50 elementsResponse
A list of decisions matching the requested IDs.
Schema for paginated decisions details response.
The list of items returned in the response following given criteria.
Show child attributes
Show child attributes
The number of items returned in the response.
The cursor for retrieving the next page of results.
Total result count (capped at 10,000). Present on first-page responses when include_count=true. null if the count query timed out.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

